\section{Assignment 2: ontology modeling and reasoning}
    
Check \cite{instructions_2} for details about instructions.

\subsection{Part 1}

\subsubsection{Step 1}

Pretty trivial. I added the \textbf{Person} class and its \textbf{Student} subclass and I added \textbf{University} as subclass of the already existing \textbf{Organization} class.

\subsubsection{Step 2}

I added \textit{unimib} and \textit{unibg} as \textbf{University} istances.

I added \textit{Buffon} and \textit{Trezeguet} as \textbf{Person} istances and I also added \textit{Magni} and \textit{Rossi} as \textbf{Student} istances in particular.

\subsubsection{Step 3 and Step 4}

I added three object properties and one datatype property as follows.

\begin{itemize}
    \item \textbf{friendOf}
    \begin{itemize}
        \item type: object property
        \item domain: \textbf{Person}
        \item range: \textbf{Person}
        \item charateristics: \textit{symmetric}
        \item implementations
        \begin{itemize}
            \item \textit{Magni} \textbf{friendOf} \textit{Rossi}
            \item \textit{Buffon} \textbf{friendOf} \textit{Trezeguet}
        \end{itemize}
    \end{itemize}

    \item \textbf{bornIn}
    \begin{itemize}
        \item type: object property
        \item domain: \textbf{Person}
        \item range: \textbf{GeoEntity}
        \item implementations
        \begin{itemize}
            \item \textit{Magni} \textbf{bornIn} \textit{Lombardy}
            \item \textit{Trezeguet} \textbf{bornIn} \textit{France}
        \end{itemize}
        \item notes: not \textit{functional} because a \textbf{Person} can be marked as \textbf{bornIn} many \textbf{GeoEntity}-s without inferring that \textit{Lombardy} is equivalent to \textit{Italy} for instance.
    \end{itemize}

    \item \textbf{attends}
    \begin{itemize}
        \item type: object property
        \item domain: \textbf{Student}
        \item range: \textbf{University}
        \item charateristics: \textit{functional}
        \item implementations
        \begin{itemize}
            \item \textit{Magni} \textbf{attends} \textit{unimib}
            \item \textit{Rossi} \textbf{attends} \textit{unibg}
        \end{itemize}
    \end{itemize}

    \item \textbf{name}
    \begin{itemize}
        \item type: datatype property
        \item domain: \textbf{Person}
        \item range: \textbf{xsd:string}
        \item charateristics: \textit{functional}
        \item implementations
        \begin{itemize}
            \item \textit{Magni} \textbf{name} "Marco"
            \item \textit{Trezeguet} \textbf{name} "David"
        \end{itemize}
        \item notes: \textit{functional} because in my representation of the world, the name "Vittorio Emanuele", for instance, would be represented as a single property \textbf{name} and not as two \textbf{name}-s.
    \end{itemize}
\end{itemize}

After the reasoner execution, those are the properties inferred.

\begin{itemize}
    \item \textbf{friendOf} is the inverse of \textbf{friendOf}
    \item \textit{Rossi} \textbf{friendOf} \textit{Magni}
    \item \textit{Trezeguet} \textbf{friendOf} \textit{Buffon}
\end{itemize}

\subsubsection{Step 5 and extra}

I introduced the \textbf{UniversityStudent} class, defined by the equivalence \\\
<\textbf{Student} and \textbf{attends} some \textbf{University}>. Both \textit{Magni} and \textit{Rossi} have been classified under this new class.

After that I added two inverse object properties, to enrich my ontology.

\begin{itemize}
    \item \textbf{birthplaceOf}, defined as the inverse of \textbf{bornIn}
    \item \textbf{attendedBy}, defined as the inverse of \textbf{attends}
\end{itemize}

Those new properties resulted in many properties inferred, here are some of them.

\begin{itemize}
    \item domain of \textbf{birthplaceOf} is \textbf{GeoEntity}
    \item range of \textbf{birthplaceOf} is \textbf{Person}
    \item \textit{Italy} \textbf{birthplaceOf} \textit{Magni}
    \item \textit{France} \textbf{birthplaceOf} \textit{Trezeguet}
    \item domain of \textbf{attendedBy} is \textbf{University}
    \item range of \textbf{attendedBy} is \textbf{UniversityStudent}
    \item \textit{unimib} \textbf{attendedBy} \textit{Magni}
    \item \textit{unibg} \textbf{attendedBy} \textit{Rossi}
    \item \textit{Magni} of type \textbf{UniversityStudent}
    \item \textit{Rossi} of type \textbf{UniversityStudent}
\end{itemize}

Check \cite{solutions_2_1} for the solutions' owl file.

\subsection{Part 2}

I have specified that \textit{unimib} and \textit{unibg} are different individuals, as in the actual world are.

After that, specifying that \textit{Magni} \textbf{attends} \textit{unibg} will result in an inconsistency because the \textit{functional} charateristic of the \textbf{attends} property means that since \textit{Magni} \textbf{attends} both \textit{unimib} and \textit{unibg}, those should refer to the same individual.

Check \cite{solutions_2_2} for the solutions' owl file.